# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "casbin"
version = "2.18.1"
authors = [
    "Joey <joey.xf@gmail.com>",
    "Cheng JIANG <jiang.cheng@vip.163.com>",
]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "An authorization library that supports access control models like ACL, RBAC, ABAC."
homepage = "https://casbin.org/"
readme = "README.md"
keywords = [
    "auth",
    "authorization",
    "rbac",
    "acl",
    "abac",
]
license = "Apache-2.0"
repository = "https://github.com/casbin/casbin-rs"

[features]
cached = ["mini-moka"]
default = [
    "runtime-tokio",
    "incremental",
]
explain = []
glob = ["globset"]
incremental = []
ip = ["ip_network"]
logging = [
    "slog",
    "slog-term",
    "slog-async",
]
runtime-async-std = ["async-std"]
runtime-tokio = [
    "tokio/fs",
    "tokio/io-util",
]
watcher = []

[lib]
name = "casbin"
path = "src/lib.rs"
bench = false

[[bench]]
name = "benchmark"
path = "benches/benchmark.rs"
harness = false

[dependencies.async-std]
version = "1.10.0"
optional = true

[dependencies.async-trait]
version = "0.1.52"

[dependencies.fixedbitset]
version = "0.4"

[dependencies.globset]
version = "0.4.8"
optional = true

[dependencies.hashlink]
version = "0.9.0"

[dependencies.ip_network]
version = "0.4.1"
optional = true

[dependencies.mini-moka]
version = "0.10"
optional = true

[dependencies.once_cell]
version = "1.9.0"

[dependencies.parking_lot]
version = "0.12.0"

[dependencies.petgraph]
version = "0.6"

[dependencies.regex]
version = "1.5.4"

[dependencies.rhai]
version = "1.5.0"
features = [
    "sync",
    "only_i32",
    "no_function",
    "no_float",
    "no_optimize",
    "no_module",
    "serde",
    "unchecked",
]

[dependencies.serde]
version = "1.0.136"

[dependencies.serde_json]
version = "1.0.127"

[dependencies.slog]
version = "2.7.0"
optional = true

[dependencies.slog-async]
version = "2.7.0"
optional = true

[dependencies.slog-term]
version = "2.9.0"
optional = true

[dependencies.thiserror]
version = "1.0.30"

[dependencies.tokio]
version = "1.17.0"
optional = true
default-features = false

[dependencies.tokio-stream]
version = "0.1.8"
optional = true
default-features = false

[dev-dependencies.criterion]
version = "0.3.5"
features = ["html_reports"]

[target.'cfg(not(target_arch = "wasm32"))'.dev-dependencies.async-std]
version = "1.10.0"
features = ["attributes"]

[target.'cfg(not(target_arch = "wasm32"))'.dev-dependencies.serde]
version = "1.0.136"
features = ["derive"]

[target.'cfg(not(target_arch = "wasm32"))'.dev-dependencies.tokio]
version = "1.17.0"
features = ["full"]

[target.'cfg(target_arch = "wasm32")'.dependencies.getrandom]
version = "0.3"
features = ["wasm_js"]

[target.'cfg(target_arch = "wasm32")'.dependencies.wasm-bindgen-test]
version = "0.3.49"

[target.'cfg(target_arch = "wasm32")'.dev-dependencies.async-std]
version = "1.9.0"
features = ["attributes"]

[target.'cfg(target_arch = "wasm32")'.dev-dependencies.serde]
version = "1.0.136"
features = ["derive"]

[profile.bench]
opt-level = 3
lto = true

[profile.dev]
split-debuginfo = "unpacked"

[profile.release]
opt-level = 3
lto = true
codegen-units = 1
